//---------------------------------------------------------------------------

#ifndef MainFileH
#define MainFileH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <vector.h>
#include <ExtCtrls.hpp>
#include <math.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TImage *Image1;
        TButton *AddPointButton;
        TLabel *Label1;
        TComboBox *PointBox;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *XLabel;
        TLabel *YLabel;
        TButton *DelButton;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *MLabel;
        TLabel *VLabel;
        TLabel *ALabel;
        TButton *NextStepButton;
        TLabel *TimeLabel;
        TEdit *StepNumber;
        TButton *MultiStepButton;
        TProgressBar *Progress;
        TUpDown *UpDownCount;
        TLabel *Label7;
        TButton *ParamButton;
        TButton *ClearButton;
        void __fastcall AddPointButtonClick(TObject *Sender);
        void __fastcall PointBoxChange(TObject *Sender);
        void __fastcall DelButtonClick(TObject *Sender);
        void __fastcall NextStepButtonClick(TObject *Sender);
        void __fastcall MultiStepButtonClick(TObject *Sender);
        void __fastcall ParamButtonClick(TObject *Sender);
        void __fastcall ClearButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
        void next_turn();
        void update_label();
        void draw_grid();
        int find_max();
        void plot(bool clean);
        vector <float> x,x_next,y,y_next; //  
        vector <float> V,V_next;// 
        vector <float> alpha,alpha_next;//  
        vector <float> m;//  
        float sigma;// 
        float dt;// 
        float t;// 
        int n;//  

};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
